/******************************************************************************
* File Name: DMA_5_dma.h  
* Version 1.0
*
*  Description:
*   Provides the function definitions for the DMA Controller.
*
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__DMA_5_DMA_H__)
#define __DMA_5_DMA_H__



#include <CYDMAC.H>


/* Zero based index of DMA_5 dma channel */
extern uint8 DMA_5_DmaHandle;


uint8 DMA_5_DmaInitialize(uint8 BurstCount, uint8 ReqestPerBurst, uint16 UpperSrcAddress, uint16 UpperDestAddress);
void DMA_5_DmaRelease(void);



/* __DMA_5_DMA_H__ */
#endif
